task bedtools {

	Array[File] bam
	Array[File] bai
	File bed_file

	String docker
	String cluster_config
	String disk_size

	command <<<
	    set -e -o pipefail
		cat ~{sep=" " bam}|bedtools multicov -bed ${bed_file} > revread_count.txt 
	
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File read_count = "revread_count.txt"
	}
}